﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcApplication5.Models;
using Kendo.Mvc.UI;

namespace MvcApplication5.Controllers
{ 
    public class PerformanceTrendGraphController : Controller
    {
        private MOSTestDBContext db = new MOSTestDBContext();

        //
        // GET: /PerformanceTrendGraph/

        public ViewResult Index()
        {
            return View(db.PerformanceTrendGraph.ToList());
        }

        //
        // GET: /PerformanceTrendGraph/Details/5

        public ViewResult Details(int id)
        {
            PerformanceTrendGraphModel performancetrendgraphmodel = db.PerformanceTrendGraph.Find(id);
            return View(performancetrendgraphmodel);
        }

        //
        // GET: /PerformanceTrendGraph/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /PerformanceTrendGraph/Create

        [HttpPost]
        public ActionResult Create(PerformanceTrendGraphModel performancetrendgraphmodel)
        {
            if (ModelState.IsValid)
            {
                db.PerformanceTrendGraph.Add(performancetrendgraphmodel);
                db.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(performancetrendgraphmodel);
        }
        
        //
        // GET: /PerformanceTrendGraph/Edit/5
 
        public ActionResult Edit(int id)
        {
            PerformanceTrendGraphModel performancetrendgraphmodel = db.PerformanceTrendGraph.Find(id);
            return View(performancetrendgraphmodel);
        }

        //
        // POST: /PerformanceTrendGraph/Edit/5

        [HttpPost]
        public ActionResult Edit(PerformanceTrendGraphModel performancetrendgraphmodel)
        {
            if (ModelState.IsValid)
            {
                db.Entry(performancetrendgraphmodel).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(performancetrendgraphmodel);
        }

        //
        // GET: /PerformanceTrendGraph/Delete/5
 
        public ActionResult Delete(int id)
        {
            PerformanceTrendGraphModel performancetrendgraphmodel = db.PerformanceTrendGraph.Find(id);
            return View(performancetrendgraphmodel);
        }

        //
        // POST: /PerformanceTrendGraph/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {            
            PerformanceTrendGraphModel performancetrendgraphmodel = db.PerformanceTrendGraph.Find(id);
            db.PerformanceTrendGraph.Remove(performancetrendgraphmodel);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}