﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcApplication5.Models;

namespace MvcApplication5.Controllers
{ 
    public class TimeBasedTrendsGraphController : Controller
    {
        private MOSTestDBContext db = new MOSTestDBContext();

        //
        // GET: /TimeBasedTrendsGraph/

        public ViewResult Index()
        {
            var DateList = new List<string>();

            var DateQry = from TBT in db.TimeBasedTrendsGraph
                          orderby TBT.sTypeLabel
                          select TBT.sTypeLabel;
            DateList.AddRange(DateQry.Distinct());
            ViewBag.uniqueTypes = DateList;

            var TypeList = new List<string>();

            var TypeQry = from TBT in db.TimeBasedTrendsGraph
                          orderby TBT.sTypeLabel
                          select TBT.sTypeLabel;
            TypeList.AddRange(TypeQry.Distinct());
            ViewBag.uniqueTypes = TypeList;
            
            return View(db.TimeBasedTrendsGraph.ToList());
        }

        public ActionResult _TBTData()
        {
            
            var TBT = db.TimeBasedTrendsGraph
                .Select(a => new { ID = a.ID, dtDate = a.dtDate, sTypeLabel = a.sTypeLabel, dValue = a.dValue } );
    
            return Json(TBT);
        }        //
        // GET: /TimeBasedTrendsGraph/Details/5

        public ViewResult Details(int id)
        {
            TimeBasedTrendsGraphModel timebasedtrendsgraphmodel = db.TimeBasedTrendsGraph.Find(id);
            return View(timebasedtrendsgraphmodel);
        }

        //
        // GET: /TimeBasedTrendsGraph/Create

        public ActionResult Create()
        {
            return View();
        } 

        //
        // POST: /TimeBasedTrendsGraph/Create

        [HttpPost]
        public ActionResult Create(TimeBasedTrendsGraphModel timebasedtrendsgraphmodel)
        {
            if (ModelState.IsValid)
            {
                db.TimeBasedTrendsGraph.Add(timebasedtrendsgraphmodel);
                db.SaveChanges();
                return RedirectToAction("Index");  
            }

            return View(timebasedtrendsgraphmodel);
        }
        
        //
        // GET: /TimeBasedTrendsGraph/Edit/5
 
        public ActionResult Edit(int id)
        {
            TimeBasedTrendsGraphModel timebasedtrendsgraphmodel = db.TimeBasedTrendsGraph.Find(id);
            return View(timebasedtrendsgraphmodel);
        }

        //
        // POST: /TimeBasedTrendsGraph/Edit/5

        [HttpPost]
        public ActionResult Edit(TimeBasedTrendsGraphModel timebasedtrendsgraphmodel)
        {
            if (ModelState.IsValid)
            {
                db.Entry(timebasedtrendsgraphmodel).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(timebasedtrendsgraphmodel);
        }

        //
        // GET: /TimeBasedTrendsGraph/Delete/5
 
        public ActionResult Delete(int id)
        {
            TimeBasedTrendsGraphModel timebasedtrendsgraphmodel = db.TimeBasedTrendsGraph.Find(id);
            return View(timebasedtrendsgraphmodel);
        }

        //
        // POST: /TimeBasedTrendsGraph/Delete/5

        [HttpPost, ActionName("Delete")]
        public ActionResult DeleteConfirmed(int id)
        {            
            TimeBasedTrendsGraphModel timebasedtrendsgraphmodel = db.TimeBasedTrendsGraph.Find(id);
            db.TimeBasedTrendsGraph.Remove(timebasedtrendsgraphmodel);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }
    }
}