﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;


namespace MvcApplication5.Models
{
    public class MOSTestInitializer : DropCreateDatabaseIfModelChanges<MOSTestDBContext>
    {
        protected override void Seed(MOSTestDBContext context)
        {
            var PTG = new List<PerformanceTrendGraphModel> {  

                 new PerformanceTrendGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "1",
                    ID = 1
                 },
                 new PerformanceTrendGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "2",
                    ID = 2
                 },
                 new PerformanceTrendGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "3",
                    ID = 3
                 },
                 new PerformanceTrendGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "4",
                    ID = 4
                 },
                 new PerformanceTrendGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "5",
                    ID = 5
                 },
                 new PerformanceTrendGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "6",
                    ID = 6
                 }
             };

            PTG.ForEach(d => context.PerformanceTrendGraph.Add(d));

            var PSG = new List<PerformanceSnapshotGraphModel> {  

                 new PerformanceSnapshotGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "This Week",
                    ID = 1
                 },
                 new PerformanceSnapshotGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "Last 6 Weeks",
                    ID = 2
                 },
                 new PerformanceSnapshotGraphModel { 
                    dEfficiency = 5, 
                    dProductivity = 10,
                    dUtilization = 15,
                    dLostTime = 20,
                    sLabel = "YTD",
                    ID = 3
                 }
             };

            PSG.ForEach(d => context.PerformanceSnapshotGraph.Add(d));

            var TBT = new List<TimeBasedTrendsGraphModel> {  

                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/1/2012"),
                    sTypeLabel = "CourtesyDriver",
                    dValue = 5,
                    ID = 1
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/1/2012"),
                    sTypeLabel = "VanDrivers",
                    dValue = 10,
                    ID = 2
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/1/2012"),
                    sTypeLabel = "LaneCapt",
                    dValue = 15,
                    ID = 3
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/1/2012"),
                    sTypeLabel = "LotMaint",
                    dValue = 20,
                    ID = 4
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/1/2012"),
                    sTypeLabel = "LotCoord",
                    dValue = 25,
                    ID = 5
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/1/2012"),
                    sTypeLabel = "ServiceTruck",
                    dValue = 5,
                    ID = 6
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/2/2012"),
                    sTypeLabel = "CourtesyDriver",
                    dValue = 5,
                    ID = 7
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/2/2012"),
                    sTypeLabel = "VanDrivers",
                    dValue = 10,
                    ID = 8
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/2/2012"),
                    sTypeLabel = "LaneCapt",
                    dValue = 15,
                    ID = 9
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/2/2012"),
                    sTypeLabel = "LotMaint",
                    dValue = 20,
                    ID = 10
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/2/2012"),
                    sTypeLabel = "LotCoord",
                    dValue = 25,
                    ID = 11
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/2/2012"),
                    sTypeLabel = "ServiceTruck",
                    dValue = 5,
                    ID = 12
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/3/2012"),
                    sTypeLabel = "CourtesyDriver",
                    dValue = 5,
                    ID = 13
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/3/2012"),
                    sTypeLabel = "VanDrivers",
                    dValue = 10,
                    ID = 14
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/3/2012"),
                    sTypeLabel = "LaneCapt",
                    dValue = 15,
                    ID = 15
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/3/2012"),
                    sTypeLabel = "LotMaint",
                    dValue = 20,
                    ID = 16
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/3/2012"),
                    sTypeLabel = "LotCoord",
                    dValue = 25,
                    ID = 17
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/3/2012"),
                    sTypeLabel = "ServiceTruck",
                    dValue = 5,
                    ID = 18
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/4/2012"),
                    sTypeLabel = "CourtesyDriver",
                    dValue = 5,
                    ID = 19
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/4/2012"),
                    sTypeLabel = "VanDrivers",
                    dValue = 10,
                    ID = 20
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/4/2012"),
                    sTypeLabel = "LaneCapt",
                    dValue = 15,
                    ID = 21
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/4/2012"),
                    sTypeLabel = "LotMaint",
                    dValue = 20,
                    ID = 22
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/4/2012"),
                    sTypeLabel = "LotCoord",
                    dValue = 25,
                    ID = 23
                 },
                 new TimeBasedTrendsGraphModel { 
                    dtDate = DateTime.Parse("1/4/2012"),
                    sTypeLabel = "ServiceTruck",
                    dValue = 5,
                    ID = 24
                 }
             };

            TBT.ForEach(d => context.TimeBasedTrendsGraph.Add(d));
        }
    }
}


